//George Koutsogiannakis
//September 2006
//Producer/Consumer Threads Example
//In the example the producer and the consumer share a common buffer

public class Producer extends Thread
{
  
	private SharedInteger producerHold;

	public Producer(SharedInteger pint)
	{
		super("Producer Thread");
		producerHold=pint;

	}

	public void run()
	{
		for (int count=1; count<=10; count++ )
		{
				try
				{
					Thread.sleep((int)(Math.random()*3000));
				}
				catch(InterruptedException e)
				{
					System.err.println(e.toString());
				}
				producerHold.setInt(count);
		 
		}
		System.out.println(getName()+" "+"finished producing int values"+"\nTerminating"+getName());
	}
}// end of producer thread
